Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/lang/perl5 lang/perl5: Make compatible with macOS 11 '...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/0d4418fba7dc
branches:  trunk
changeset: 435983:0d4418fba7dc
user:      sjmulder <sjmulder%pkgsrc.org@localhost>
date:      Wed Jul 22 15:23:56 2020 +0000

description:
lang/perl5: Make compatible with macOS 11 'Big Sur'

 - Import hints/darwin.sh patch from open pull request.
 - The fenv test program in Configure caused warnings for not including
   headers for printf() and exit(), causing the script to consider
   fenv.h unusable.

Note that Big Sur identifies as 10.16 on Intel Macs, but as 11.0 on
Apple Silicon (ARM).

diffstat:

 lang/perl5/distinfo                      |   5 ++-
 lang/perl5/patches/patch-Configure       |  11 ++----
 lang/perl5/patches/patch-hints_darwin.sh |  48 ++++++++++++++++++++++++++++++++
 3 files changed, 55 insertions(+), 9 deletions(-)

diffs (115 lines):

diff -r f99d765b883b -r 0d4418fba7dc lang/perl5/distinfo
--- a/lang/perl5/distinfo       Wed Jul 22 14:50:14 2020 +0000
+++ b/lang/perl5/distinfo       Wed Jul 22 15:23:56 2020 +0000
@@ -1,10 +1,10 @@
-$NetBSD: distinfo,v 1.163 2020/06/03 08:39:16 adam Exp $
+$NetBSD: distinfo,v 1.164 2020/07/22 15:23:56 sjmulder Exp $
 
 SHA1 (perl-5.30.3.tar.xz) = 1003c6aa71d8966501038178459a9fa4e9aba747
 RMD160 (perl-5.30.3.tar.xz) = 7aaec213f6537a53abd8fd97bb96d91b681cdf1e
 SHA512 (perl-5.30.3.tar.xz) = 0ea62cf17532ee99217a218c39aa530472857c7a1982494f3a01693683062b4cdebe383a79f7b64452c713337b554ed5e0fd6eda018ea29e83c3538a13c24f3c
 Size (perl-5.30.3.tar.xz) = 12375128 bytes
-SHA1 (patch-Configure) = 6000aafeb993fd096c9b1327302b510aa0d386bb
+SHA1 (patch-Configure) = f3f0f9fa5d146d97c53991185392eff419dcfb35
 SHA1 (patch-Makefile.SH) = 56203aea57c429a94760f039a978463b8859b0a9
 SHA1 (patch-Safe.pm) = bfeefb82d4cfe991e3a9a90cd87b894c9f4cc337
 SHA1 (patch-alignment_1) = b68c0916b271523922caa7f89edb165284e7b5f4
@@ -13,6 +13,7 @@
 SHA1 (patch-cflags.SH) = 7ad64e5a17b876bff4bbe238abc4a57354acf4fe
 SHA1 (patch-cpan_ExtUtils-MakeMaker_lib_ExtUtils_MM__Unix.pm) = 3a2b39c9eb903e68ef7d03ae448c51c147c19aa1
 SHA1 (patch-hints_cygwin.sh) = 1b21d927d6b7379754c4cd64a2b05d3632c35470
+SHA1 (patch-hints_darwin.sh) = 0d7a86950877eab23450e80cd99178cf845be63f
 SHA1 (patch-hints_linux.sh) = 4baa8f80695687abb53d4f4e1830cf86db5b2bf7
 SHA1 (patch-hints_minix.sh) = cb62ad0be5c38ca5b79f180252ca0843a0444f8a
 SHA1 (patch-hints_netbsd.sh) = 0d549a48800372d75fe34b783529a78cba90f646
diff -r f99d765b883b -r 0d4418fba7dc lang/perl5/patches/patch-Configure
--- a/lang/perl5/patches/patch-Configure        Wed Jul 22 14:50:14 2020 +0000
+++ b/lang/perl5/patches/patch-Configure        Wed Jul 22 15:23:56 2020 +0000
@@ -1,4 +1,4 @@
-$NetBSD: patch-Configure,v 1.8 2019/08/11 10:14:18 adam Exp $
+$NetBSD: patch-Configure,v 1.9 2020/07/22 15:23:57 sjmulder Exp $
 
 * Use "uname -r" to get OS version for *BSD.
 * Move $loclibpth to the end of $dlist, instead of the beginning.
@@ -7,7 +7,7 @@
 * Add Minix
 * Several other changes.
 
---- Configure.orig     2019-05-11 09:50:20.000000000 +0000
+--- Configure.orig     2020-02-27 17:40:12.000000000 +0000
 +++ Configure
 @@ -3475,13 +3475,14 @@ EOM
                        osvers="$3"
@@ -209,7 +209,7 @@
        echo "Oh!  Smells like ANSI's been here." >&4
        echo "We can catify or stringify, separately or together!"
        cpp_stuff=42
-@@ -22864,6 +22907,21 @@ eval $inhdr
+@@ -22864,6 +22907,18 @@ eval $inhdr
  set fenv.h i_fenv
  eval $inhdr
  
@@ -217,10 +217,7 @@
 +: On NetBSD 6.x non-amd64 non-i386 and non-sparc this fails
 +cat > try.c <<EOCP
 +#include <fenv.h>
-+int main() {
-+      printf("runs ok too\n");
-+      exit(0);
-+}
++int main() { return 0; }
 +EOCP
 +set try
 +if ! eval $compile_ok; then
diff -r f99d765b883b -r 0d4418fba7dc lang/perl5/patches/patch-hints_darwin.sh
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/lang/perl5/patches/patch-hints_darwin.sh  Wed Jul 22 15:23:56 2020 +0000
@@ -0,0 +1,48 @@
+$NetBSD: patch-hints_darwin.sh,v 1.8 2020/07/22 15:23:57 sjmulder Exp $
+
+Support for macOS 11 'Big Sur', imported from open pull request:
+https://github.com/Perl/perl5/pull/17946
+
+--- hints/darwin.sh.orig       2019-10-21 11:20:16.000000000 +0000
++++ hints/darwin.sh
+@@ -301,7 +301,7 @@ case "$osvers" in  # Note: osvers is the
+    # We now use MACOSX_DEPLOYMENT_TARGET, if set, as an override by
+    # capturing its value and adding it to the flags.
+     case "$MACOSX_DEPLOYMENT_TARGET" in
+-    10.*)
++    10.* | 11.*)
+       add_macosx_version_min ccflags $MACOSX_DEPLOYMENT_TARGET
+       add_macosx_version_min ldflags $MACOSX_DEPLOYMENT_TARGET
+       ;;
+@@ -313,7 +313,7 @@ case "$osvers" in  # Note: osvers is the
+ 
+ *** Unexpected MACOSX_DEPLOYMENT_TARGET=$MACOSX_DEPLOYMENT_TARGET
+ ***
+-*** Please either set it to 10.something, or to empty.
++*** Please either set it to 10.something, 11.something or to empty.
+ 
+ EOM
+       exit 1
+@@ -327,7 +327,7 @@ EOM
+     # "ProductVersion:    10.11"     "10.11"
+         prodvers=`sw_vers|awk '/^ProductVersion:/{print $2}'|awk -F. '{print $1"."$2}'`
+     case "$prodvers" in
+-    10.*)
++    10.* | 11.*)
+       add_macosx_version_min ccflags $prodvers
+       add_macosx_version_min ldflags $prodvers
+       ;;
+@@ -342,11 +342,11 @@ EOM
+       exit 1
+     esac
+ 
+-    # The X in 10.X
++    prodvers_major=$(echo $prodvers|awk -F. '{print $1}')
+     prodvers_minor=$(echo $prodvers|awk -F. '{print $2}')
+ 
+     # macOS (10.12) deprecated syscall().
+-    if [ "$prodvers_minor" -ge 12 ]; then
++    if [[ ( "$prodvers_minor" -ge 12 && "$prodvers_major" -eq 10 ) || "$prodvers_major" -ge 11 ]]; then
+         d_syscall='undef'
+         # If deploying to pre-10.12, suppress Time::HiRes's detection of the system clock_gettime()
+         case "$MACOSX_DEPLOYMENT_TARGET" in



Home | Main Index | Thread Index | Old Index